# Method: locations.placeActionLinks.create

- [HTTP request](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/create#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/create#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/create#body.aspect)

Creates a place action link associated with the specified location, and returns it. The request is considered duplicate if the `parent`, `placeActionLink.uri` and `placeActionLink.place_action_type` are the same as a previous request.

### HTTP request

`POST https://mybusinessplaceactions.googleapis.com/v1/{parent=locations/*}/placeActionLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the location where to create this place action link. `locations/{locationId}`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks#PlaceActionLink`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks#PlaceActionLink`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).